from setuptools import setup, find_packages

setup(
    name="batgenie",
    version="1.0.0",
    packages=find_packages(),
    install_requires=[
        'GitPython>=3.1.44',
        'pytest>=8.3.4',
        'pytest-asyncio>=0.25.3',
        'pytest-cov>=6.0.0',
        'aiohttp>=3.9.3',
        'httpx>=0.28.0',
        'python-dotenv>=1.0.0',
        'rich>=13.5.2'
    ],
    python_requires='>=3.9',
    author="Batsirai",
    author_email="batsirai@gmail.com",
    description="An intelligent AI development companion for Cursor IDE",
    long_description=open('README.md').read(),
    long_description_content_type="text/markdown",
    url="https://github.com/Batsirai/BatGenie",
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
    ],
) 